<?php

// Theme Color Scheme 
$wp_customize->add_section( 'color_scheme' , array(
	'title'      => __('Theme Color Scheme', 'hotel-melbourne-lite'),
	'panel'  => 'header_options',
	) );

	$wp_customize->add_setting( 
	'hotel_melbourne_lite_option[theme_color_scheme_options]', array(
		'default' => __('#FF4136','hotel-melbourne-lite'),
        'type' => 'option', 
        'capability' =>  'edit_theme_options',
        'sanitize_callback' => 'sanitize_hex_color',
) );

$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'hotel_melbourne_lite_option[theme_color_scheme_options]', array(
	'label' => 'Theme Colors Scheme Setting',
	'section' => 'color_scheme',
	'settings' => 'hotel_melbourne_lite_option[theme_color_scheme_options]',
) ) );



$wp_customize->add_section( 'hotel_melbourne_lite_pro' , array(
	'title'      	=> __( 'Upgrade to Hotel Melbourne Premium', 'hotel-melbourne-lite' ),
	'priority'   	=> 999,
	'panel'=>'header_options',
) );

$wp_customize->add_setting( 'hotel_melbourne_lite_pro', array(
	'default'    		=> null,
	'sanitize_callback' => 'sanitize_text_field',
) );

$wp_customize->add_control( new Hotel_Melbourne_Lite_More_Control( $wp_customize, 'hotel_melbourne_lite_pro', array(
	'label'    => __( 'Hotel Melbourne Premium', 'hotel-melbourne-lite' ),
	'section'  => 'hotel_melbourne_lite_pro',
	'settings' => 'hotel_melbourne_lite_pro',
	'priority' => 1,
) ) );