<?php

$wp_customize->add_panel( 'header_options', array(
    'priority'       => 1,
    'capability'     => 'edit_theme_options',
    'title'      => __('Theme Options Settings', 'hotel-melbourne-lite'),
) );

/* Page layout option */

$wp_customize->add_section(
'hotel_melbourne_lite_default_sidebar_layout_option',
array(
    'title' => esc_html__('Default Sidebar Layout Option', 'hotel-melbourne-lite'),
    'panel' => 'header_options',
    'priority' => 6,
    )
);

/**
 * Sidebar Option
 */
$wp_customize->add_setting(
    'hotel_melbourne_lite_option_hotel_melbourne_lite_sidebar_layout_option',
    array(
        'default' => 'default-sidebar',
        'sanitize_callback' => 'hotel_melbourne_lite_sanitize_select',
    )
);

$wp_customize->add_control('hotel_melbourne_lite_option_hotel_melbourne_lite_sidebar_layout_option',
    array(
        'label' => esc_html__('Default Sidebar Layout', 'hotel-melbourne-lite'),
        'description' => esc_html__('Home/front page does not have sidebar. Inner pages like blog, archive single page/post Sidebar Layout. However single page/post sidebar can be overridden.', 'hotel-melbourne-lite'),
        'section' => 'hotel_melbourne_lite_default_sidebar_layout_option',
        'type' => 'select',
        'choices' => array(
            'default-sidebar' => esc_html__('Default Sidebar', 'hotel-melbourne-lite'),
            'right-sidebar' => esc_html__('Right Sidebar', 'hotel-melbourne-lite'),
            'left-sidebar' => esc_html__('Left Sidebar', 'hotel-melbourne-lite'),
            'no-sidebar' => esc_html__('No Sidebar', 'hotel-melbourne-lite'),

        ),
        'priority' => 10
    )
);

/* Header Section */
$wp_customize->add_section( 'header_front_data' , array(
	'title'      => __('Custom Header Settings', 'hotel-melbourne-lite'),
	'panel'  => 'header_options',
    'priority' => 10
) );

$wp_customize->add_setting('hotel_melbourne_lite_option[front_header_enabled]',
    array(
        'default'           => 0 ,
    	'capability'        => 'edit_theme_options',
    	'sanitize_callback' => 'hotel_melbourne_lite_sanitize_checkbox',
    	'type'              => 'option',
    )	
);

$wp_customize->add_control('hotel_melbourne_lite_option[front_header_enabled]',array(
        'label' => __('Enable/Disable Header','hotel-melbourne-lite'),
        'section' => 'header_front_data',
        'type' => 'checkbox',
    )
);

$wp_customize->add_setting(
'hotel_melbourne_lite_option[header_info_phone]', array(
    'default'        => __('(2)245 23 68','hotel-melbourne-lite'),
    'capability'     => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	'type' => 'option',
));
$wp_customize->add_control('hotel_melbourne_lite_option[header_info_phone]', array(
    'label'   => __('Header Phone :', 'hotel-melbourne-lite'),
    'section' => 'header_front_data',
    'type'    => 'text',
));
$wp_customize->add_setting('hotel_melbourne_lite_option[header_info_mail]'
	, array(
    'default'        => __('asiathemes.com','hotel-melbourne-lite'),
    'capability'     => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	'type' => 'option',
));
$wp_customize->add_control( 'hotel_melbourne_lite_option[header_info_mail]', array(
    'label'   => __('Header Mail :', 'hotel-melbourne-lite'),
    'section' => 'header_front_data',
    'type'    => 'text',
));

$wp_customize->add_setting('hotel_melbourne_lite_option[booking_form_text]'
	, array(
    'default'        => __('Booking Form','hotel-melbourne-lite'),
    'capability'     => 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	'type' => 'option',
));

$wp_customize->add_control( 'hotel_melbourne_lite_option[booking_form_text]', array(
    'label'   => __('Header Booking Form Text :', 'hotel-melbourne-lite'),
    'section' => 'header_front_data',
    'type'    => 'text',
));

$wp_customize->add_setting('hotel_melbourne_lite_option[booking_form_url]'
	, array(
    'default'        => __('#','hotel-melbourne-lite'),
    'capability'     => 'edit_theme_options',
	'sanitize_callback' => 'esc_url_raw',
	'type' => 'option',
));

$wp_customize->add_control( 'hotel_melbourne_lite_option[booking_form_url]', array(
    'label'   => __('Header Booking Form Text :', 'hotel-melbourne-lite'),
    'section' => 'header_front_data',
    'type'    => 'url',
));