<?php

$wp_customize->add_section( 'home_callout' , array(
	'title'      => __('Home Call Out Settings', 'hotel-melbourne-lite'),
	'panel'  => 'header_options',
	'priority' => 12
) );


//Enable/Disable Call Out Section
$wp_customize->add_setting('hotel_melbourne_lite_option[enable_callout]',array(
	'default'    => 1,
	'sanitize_callback' => 'hotel_melbourne_lite_sanitize_checkbox',
	'type' => 'option'
));

$wp_customize->add_control('hotel_melbourne_lite_option[enable_callout]',
	array(
	    'type' => 'checkbox',
	    'label' => __('Enable/Disabe Call Out','hotel-melbourne-lite'),
	    'section' => 'home_callout',
		'priority'   => 1,
	)
);

// Select Page For Call Out.
$wp_customize->add_setting( 'hotel_melbourne_lite_option[callout_title]', array(
		'default'        	=> '',
		'capability'     	=> 'edit_theme_options',
		'sanitize_callback' => 'hotel_melbourne_lite_sanitize_dropdown_pages',
		'type' 				=> 'option',
	) 
);

$wp_customize->add_control( 'hotel_melbourne_lite_option[callout_title]',
	array(
	  'label'   => __( 'Select Page for Call Out Title and Description with Featured Image', 'hotel-melbourne-lite' ),
	  'section' => 'home_callout',
	  'type'	=> 'dropdown-pages',
	)
);


// Button Text
$wp_customize->add_setting( 'hotel_melbourne_lite_option[callout_button_text]', array(
	'default'        	=> __('Booking Now','hotel-melbourne-lite'),
	'capability'     	=> 'edit_theme_options',
	'sanitize_callback' => 'sanitize_text_field',
	'type' 				=> 'option',
) );

$wp_customize->add_control( 'hotel_melbourne_lite_option[callout_button_text]', array(
	'label'                 =>  __( 'Button Text', 'hotel-melbourne-lite' ),
	'section'               => 'home_callout',
	'type'                  => 'text',
) );


// Button Url
$wp_customize->add_setting( 'hotel_melbourne_lite_option[callout_button_url]', array(
	'default'        	=> __('#','hotel-melbourne-lite'),
	'capability'     	=> 'edit_theme_options',
	'sanitize_callback' => 'esc_url_raw',
	'type' 				=> 'option',
) );

$wp_customize->add_control( 'hotel_melbourne_lite_option[callout_button_url]', array(
	'label'              =>  __( 'Button Text', 'hotel-melbourne-lite' ),
	'section'            => 'home_callout',
	'type'               => 'url',
) );