<?php

	// Home Blog Posts Section Setting
	
	$wp_customize->add_section('news_section_settings',
        array(
            'title' => __('Home Latest Blog Posts Settings','hotel-melbourne-lite'),
            'description' => '',
			'panel'  => 'header_options',
			'priority' => 16
		)
    );
	
	
	//Hide Index Service Section
	
	$wp_customize->add_setting(
    'hotel_melbourne_lite_option[home_blog_enabled]',
    array(
        'default' => 1,
		'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'hotel_melbourne_lite_sanitize_checkbox',
		'type' => 'option'
    )	
	);
	$wp_customize->add_control(
    'hotel_melbourne_lite_option[home_blog_enabled]',
    array(
        'label' => __('Hide Home Blog Posts Section','hotel-melbourne-lite'),
        'section' => 'news_section_settings',
        'type' => 'checkbox',
    )
	);
	
	// add section to manage News
	$wp_customize->add_setting( 'hotel_melbourne_lite_option[blog_header_title]', array(
		'default'        	=> '',
		'capability'     	=> 'edit_theme_options',
		'sanitize_callback' => 'hotel_melbourne_lite_sanitize_dropdown_pages',
		'type' 				=> 'option',
	) );

	$wp_customize->add_control('hotel_melbourne_lite_option[blog_header_title]',
	array(
	  'label'   => __( 'Select Page for Blog Header title and description', 'hotel-melbourne-lite' ),
	  'section' => 'news_section_settings',
	  'type'=> 'dropdown-pages',
	)
	);
	
	//Select number of latest news on front page
	
	$wp_customize->add_setting(
    'hotel_melbourne_lite_option[post_display_count]',
    array(
		'type' => 'option',
        'default' => __('3','hotel-melbourne-lite'),
		'sanitize_callback' => 'hotel_melbourne_lite_sanitize_number_absint',
    )
	);

	$wp_customize->add_control('hotel_melbourne_lite_option[post_display_count]',array(
        'type' => 'number',
        'label' => __('Number of Post','hotel-melbourne-lite'),
        'section' => 'news_section_settings',
	));






	//Page sidebar & Meta Setting Section
	
	$wp_customize->add_section('page_met_sidebar_settings',
        array(
            'title' => __('Page Sidebar & Meta Settings','hotel-melbourne-lite'),
            'description' => '',
			'panel'  => 'header_options',
			'priority' => 16,
			) );
	
	//Enable/Disable Page Meta
	
	$wp_customize->add_setting(
    'hotel_melbourne_lite_option[page_meta_enabled]',
    array(
        'default' => 0,
		'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'hotel_melbourne_lite_sanitize_checkbox',
		'type' => 'option',
    )	
	);
	$wp_customize->add_control(
    'hotel_melbourne_lite_option[page_meta_enabled]',
    array(
        'label' => __('Enable/Disable Page Meta','hotel-melbourne-lite'),
        'section' => 'page_met_sidebar_settings',
        'type' => 'checkbox',
    )
	);
	
	// Enable/Disable Page Sidebar
	
	$wp_customize->add_setting(
    'hotel_melbourne_lite_option[page_sidebar_enabled]',
    array(
        'default' => 0,
		'capability'     => 'edit_theme_options',
		'sanitize_callback' => 'hotel_melbourne_lite_sanitize_checkbox',
		'type' => 'option',
    )	
	);
	$wp_customize->add_control(
    'hotel_melbourne_lite_option[page_sidebar_enabled]',
    array(
        'label' => __('Enable/Disable Page Sidebar','hotel-melbourne-lite'),
        'section' => 'page_met_sidebar_settings',
        'type' => 'checkbox',
    )
	);