<?php

$wp_customize->add_section( 'home_our_service' , array(
	'title'      => __('Home Our Service Settings', 'hotel-melbourne-lite'),
	'panel'  => 'header_options',
	'priority' => 11
	) );


//Enable/Disable Our Service Section
$wp_customize->add_setting(
	'hotel_melbourne_lite_option[enable_our_service]',array(
	'default'    		=> 1,
	'sanitize_callback' => 'hotel_melbourne_lite_sanitize_checkbox',
	'type' 				=> 'option'
));

$wp_customize->add_control(
	'hotel_melbourne_lite_option[enable_our_service]',
	array(
	    'type' 		=> 'checkbox',
	    'label' 	=> __('Enable/Disabe Our Service','hotel-melbourne-lite'),
	    'section' 	=> 'home_our_service',
		'priority'  => 1,
	)
);

// Select Page For Service One.
$wp_customize->add_setting( 'hotel_melbourne_lite_option[service_title]', array(
	'default'        	=> '',
	'capability'     	=> 'edit_theme_options',
	'sanitize_callback' => 'hotel_melbourne_lite_sanitize_dropdown_pages',
	'type' 				=> 'option',
) );

$wp_customize->add_control('hotel_melbourne_lite_option[service_title]',
array(
  'label'   => __( 'Select Page for Service Header title and description', 'hotel-melbourne-lite' ),
  'section' => 'home_our_service',
  'type'=> 'dropdown-pages',
)
);

	
// Select Page For Service One.
$wp_customize->add_setting( 'hotel_melbourne_lite_option[service_page_one]', array(
'default'        => '',
'capability'     => 'edit_theme_options',
'sanitize_callback' => 'hotel_melbourne_lite_sanitize_dropdown_pages',
'type' => 'option',
) );

$wp_customize->add_control('hotel_melbourne_lite_option[service_page_one]',
array(
  'label'   => __( 'Select Page for Service 1 for title and description', 'hotel-melbourne-lite' ),
  'section' => 'home_our_service',
  'type'=> 'dropdown-pages',
)
);

// Icon for Service One
$wp_customize->add_setting( 'hotel_melbourne_lite_option[service_icon_one]', array(
'default'        => __('fa fa-star','hotel-melbourne-lite'),
'capability'     => 'edit_theme_options',
'sanitize_callback' => 'sanitize_text_field',
'type' => 'option',
) );

$wp_customize->add_control( 'hotel_melbourne_lite_option[service_icon_one]', array(
/* translators: %s: key value */ 
'label'                 =>  __( 'Select icon for Service 1', 'hotel-melbourne-lite' ),
/* translators: %s: icon value */ 
'description'           => sprintf( __( 'Use font awesome icon: Eg:%1$s. %2$s See more here %3$s', 'hotel-melbourne-lite' ), 'fa fa-star','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>'),
'section'               => 'home_our_service',
'type'                  => 'text',
) );




// Select Page For Service Two.
$wp_customize->add_setting( 'hotel_melbourne_lite_option[service_page_two]', array(
	'default'        => '',
	'capability'     => 'edit_theme_options',
	'sanitize_callback' => 'hotel_melbourne_lite_sanitize_dropdown_pages',
	'type' => 'option',
) );

$wp_customize->add_control('hotel_melbourne_lite_option[service_page_two]',
array(
  'label'   => __( 'Select Page for Service 2 for title and description', 'hotel-melbourne-lite' ),
  'section' => 'home_our_service',
  'type'=> 'dropdown-pages',
)
);

// Icon for Service Two
$wp_customize->add_setting( 'hotel_melbourne_lite_option[service_icon_two]', array(
'default'        => __('fa fa-leaf','hotel-melbourne-lite'),
'capability'     => 'edit_theme_options',
'sanitize_callback' => 'sanitize_text_field',
'type' => 'option',
) );

$wp_customize->add_control( 'hotel_melbourne_lite_option[service_icon_two]', array(
/* translators: %s: key value */ 
'label'                 =>  __( 'Select icon for Service 2', 'hotel-melbourne-lite' ),
/* translators: %s: icon value */ 
'description'           => sprintf( __( 'Use font awesome icon: Eg:%1$s. %2$s See more here %3$s', 'hotel-melbourne-lite' ), 'fa fa-leaf','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>'),
'section'               => 'home_our_service',
'type'                  => 'text',
) );



// Select Page For Service Three.
$wp_customize->add_setting( 'hotel_melbourne_lite_option[service_page_three]', array(
	'default'        => '',
	'capability'     => 'edit_theme_options',
	'sanitize_callback' => 'hotel_melbourne_lite_sanitize_dropdown_pages',
	'type' => 'option',
) );

$wp_customize->add_control('hotel_melbourne_lite_option[service_page_three]',
array(
  'label'   => __( 'Select Page for Service 3 for title and description', 'hotel-melbourne-lite' ),
  'section' => 'home_our_service',
  'type'=> 'dropdown-pages',
)
);

// Icon for Service Three
$wp_customize->add_setting( 'hotel_melbourne_lite_option[service_icon_three]', array(
'default'        => __('fa fa-bar-chart','hotel-melbourne-lite'),
'capability'     => 'edit_theme_options',
'sanitize_callback' => 'sanitize_text_field',
'type' => 'option',
) );

$wp_customize->add_control( 'hotel_melbourne_lite_option[service_icon_three]', array(
/* translators: %s: key value */ 
'label'                 =>  __( 'Select icon for Service 3', 'hotel-melbourne-lite' ),
/* translators: %s: icon value */ 
'description'           => sprintf( __( 'Use font awesome icon: Eg:%1$s. %2$s See more here %3$s', 'hotel-melbourne-lite' ), 'fa fa-bar-chart','<a href="'.esc_url('http://fontawesome.io/icons/').'" target="_blank">','</a>'),
'section'               => 'home_our_service',
'type'                  => 'text',
) );