<?php
/*
	*Theme Name	: Hotel Melbourne
	*Theme Core Functions and Codes
*/
	/**Includes reqired resources here**/
	define('HOTEL_MELBOURNE_THEME_URL','https://asiathemes.com/hotel-details/');
	define('HOTEL_MELBOURNE_THEME_PREVIEW','https://www.asiathemes.com/preview/hotelmelbournelite/');
	define('HOTEL_MELBOURNE_THEME_AUTHOR_URL','https://asiathemes.com/');
	define('HOTEL_MELBOURNE_THEME_REVIEW_URL','https://wordpress.org/support/theme/hotel-melbourne-lite/reviews/');
	define('HOTEL_MELBOURNE_DIR_URI',get_template_directory_uri());
	define('HOTEL_MELBOURNE_TEMPLATE_DIR',get_template_directory());
	define('HOTEL_MELBOURNE_THEME_FUNCTIONS_PATH',HOTEL_MELBOURNE_TEMPLATE_DIR.'/core-functions');
	define('HOTEL_MELBOURNE_THEME_OPTIONS_PATH' , HOTEL_MELBOURNE_DIR_URI.'/core-functions/option-panel');
	require( HOTEL_MELBOURNE_THEME_FUNCTIONS_PATH . '/menu/default_menu_walker.php' ); // for Default Menus
	require( HOTEL_MELBOURNE_THEME_FUNCTIONS_PATH . '/menu/hotel_melbourne_lite_nav_walker.php' ); // for Custom Menus		
	require( HOTEL_MELBOURNE_THEME_FUNCTIONS_PATH . '/scripts/scripts.php' );
	require( HOTEL_MELBOURNE_THEME_FUNCTIONS_PATH . '/widgets/register-sidebar.php' ); //for widget register
	
	//Customizer
	require( HOTEL_MELBOURNE_THEME_FUNCTIONS_PATH . '/customizer/customizer-header.php');
	require( HOTEL_MELBOURNE_THEME_FUNCTIONS_PATH . '/customizer/customizer-css.php');
	
	require_once('hotel_melbourne_lite_breadcrumbs.php');
	
	add_action( 'after_setup_theme', 'hotel_melbourne_lite_setup' ); 	

	function hotel_melbourne_lite_setup()
	{	
		// Load text domain for translation-ready
		load_theme_textdomain( 'hotel-melbourne-lite', HOTEL_MELBOURNE_THEME_FUNCTIONS_PATH . '/lang' );
		add_theme_support( 'title-tag' );
		
		// This theme uses wp_nav_menu() in one location.
		add_theme_support('post-thumbnails');
		// This theme uses wp_nav_menu() in one location.
		register_nav_menu( 'primary', __( 'Primary Menu', 'hotel-melbourne-lite' ) );
		// Woocommerce support
		add_theme_support( 'woocommerce');
		add_theme_support( 'automatic-feed-links');
		
		/*
		 * Enable support for Post Formats.
		 *
		 * See: https://codex.wordpress.org/Post_Formats
		 */
		add_theme_support( 'post-formats', array(
			'aside',
			'image',
			'video',
			'quote',
			'link',
			'gallery',
			'audio',
		) );

		/**
		 * Add support for core custom logo.
		 *
		 * @link https://codex.wordpress.org/Theme_Logo
		 */
		add_theme_support( 'custom-logo', array(
			'height'      => 250,
			'width'       => 250,
			'flex-width'  => true,
			'flex-height' => true,
		) );
		
		//Default Data
		if ( ! isset( $content_width ) ) $content_width = 900;
		require_once('theme_default_data.php');
		$hotel_melbourne_lite_option=hotel_melbourne_lite_theme_default_data(); 
		
	}	

	if (!function_exists('hotel_melbourne_lite_admin_css_enqueue_new_post')) :
		function hotel_melbourne_lite_admin_css_enqueue_new_post($hook)
		{
			if ('post-new.php' != $hook) {
				return;
			}
			wp_enqueue_style('hotel-melbourne-lite-admin', get_template_directory_uri() . '/css/admin.css', array(), '2.0.0');
			wp_enqueue_script('hotel-melbourne-lite-custom-meta', get_template_directory_uri() . '/js/custom-meta.js', array(), '2.0.0');
		}
		add_action('admin_enqueue_scripts', 'hotel_melbourne_lite_admin_css_enqueue_new_post');
	endif;



if (!function_exists('hotel_melbourne_lite_admin_css_enqueue')) :
	function hotel_melbourne_lite_admin_css_enqueue($hook)
	{
		if ('post.php' != $hook) {
			return;
		}
		wp_enqueue_style('hotel-melbourne-lite-admin', get_template_directory_uri() . '/css/admin.css', array(), '2.0.0');
		wp_enqueue_script('hotel-melbourne-lite-custom-meta', get_template_directory_uri() . '/js/custom-meta.js', array(), '2.0.0');

	}
	add_action('admin_enqueue_scripts', 'hotel_melbourne_lite_admin_css_enqueue');
endif;


/*for sidebar options**/

function hotel_melbourne_lite_names( $classes ) {
	// add 'class-name' to the $classes array
	$sidebardesignlayout = esc_attr( get_post_meta(get_the_ID(), 'hotel_melbourne_lite_sidebar_layout', true) );
	if (is_singular() && $sidebardesignlayout != "default-sidebar")
	{
		$sidebardesignlayout = esc_attr( get_post_meta(get_the_ID(), 'hotel_melbourne_lite_sidebar_layout', true) );

	} else
	{
		$hotel_melbourne_lite_options=hotel_melbourne_lite_theme_default_data(); 
		$layout_setting = wp_parse_args(  get_option( 'hotel_melbourne_lite_option', array() ), $hotel_melbourne_lite_options );
		$sidebardesignlayout = esc_attr($layout_setting['hotel_melbourne_lite_sidebar_layout_option'] );
	}

	$classes[] = $sidebardesignlayout;
	return $classes;

}
add_filter( 'body_class', 'hotel_melbourne_lite_names' );
require('template-tags.php');


if ( ! function_exists( 'hotel_melbourne_lite_posted_on' ) ) :
	/**
	 * Prints HTML with meta information for the current post-date/time.
	 */
	function hotel_melbourne_lite_posted_on() {
		
		$time_string = '<time class="entry-date published updated" datetime="%1$s">%2$s</time>';

		$time_string = sprintf( $time_string,
			esc_attr( get_the_date( DATE_W3C ) ),
			esc_html( get_the_date() ),
			esc_attr( get_the_modified_date( DATE_W3C ) ),
			esc_html( get_the_modified_date() )
		);

		$posted_on = sprintf(
			/* translators: %s: post date. */
			esc_html_x( 'Posted on %s', 'post date', 'hotel-melbourne-lite' ),
			'<a href="' . esc_url( get_permalink() ) . '" rel="bookmark">' . $time_string . '</a>'
		);

		echo '<div class="date">' . $posted_on . '</div>'; // WPCS: XSS OK.

	}
endif;

if ( ! function_exists( 'hotel_melbourne_lite_posted_by' ) ) :
	/**
	 * Prints HTML with meta information for the current author.
	 */
	function hotel_melbourne_lite_posted_by() {
		$byline = sprintf(
			/* translators: %s: post author. */
			esc_html_x( 'Posted by: %s', 'post author', 'hotel-melbourne-lite' ),
			'<a class="url fn n" href="' . esc_url( get_author_posts_url( get_the_author_meta( 'ID' ) ) ) . '"><i class="fa fa-user"></i>' . esc_html( get_the_author() ) . '</a>'
		);

		echo $byline; // WPCS: XSS OK.

	}
endif;

require get_template_directory() . '/custom-header.php';


function hotel_melbourne_lite_fields($fields) { 
	return $fields;
}
add_filter('hotel_melbourne_lite_comment_form_default_fields','hotel_melbourne_lite_fields');