<!DOCTYPE html>
<html <?php language_attributes(); ?> >
<head>
	<meta charset="utf-8">
	<meta http-equiv="X-UA-Compatible" content="IE=edge">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>" charset="<?php bloginfo('charset'); ?>" />
	<?php  wp_head();?>
</head>
<body <?php body_class(); ?> >
	<?php 
	if ( ! function_exists( 'wp_body_open' ) ) {
		function wp_body_open() {
			do_action( 'wp_body_open' );
		}
	}

	?>
	<!-- Wrapper -->
	<a class="skip-link screen-reader-text" href="#content"><?php esc_html_e( 'Skip to content', 'hotel-melbourne-lite' ); ?></a>

	<?php
	$hotel_melbourne_lite_options	=	hotel_melbourne_lite_theme_default_data(); 
	$header_setting 			= wp_parse_args(  get_option( 'hotel_melbourne_lite_option', array() ), $hotel_melbourne_lite_options ); 
	?>
	<div class="wrapper">

		<?php if($header_setting['front_header_enabled']=="1"):?>
			<section class="header-top-section">
				<div class="container">
					<div class="row">
						<div class="col-md-6">
							<div class="info-top">
								<span><i class="fa fa-phone"></i><?php echo esc_html($header_setting['header_info_phone']);?></span>
								<span><i class="fa fa-envelope"></i><?php echo esc_html($header_setting['header_info_mail']);?></span>
							</div>
						</div>
						<div class="col-md-6">					
							<a href="<?php echo esc_url($header_setting['booking_form_url']);?>" class="main-btn main-btn2 button-4 pull-right"><i class="fa fa-key"></i><?php echo esc_html($header_setting['booking_form_text']);?></a>
						</div>
					</div>
				</div>
			</section>
		<?php endif;?>	

		<!--Logo & Menu Section-->
		<div class="navbar navbar-wrapper navbar-static-top" role="navigation" id="desktop-show">
			<div class="container">
				<div class="navbar-header">
					<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-collapse">
						<span class="sr-only"><?php esc_html_e('Toggle navigation','hotel-melbourne-lite');?></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
						<span class="icon-bar"></span>
					</button>
					<a class="navbar-brand" href="<?php echo esc_url( home_url( '/' ) ); ?>">
						<?php
			            if(has_custom_logo()):
			              the_custom_logo();
			            endif; ?>

			            <?php
			            $hotel_melbourne_lite_description = get_bloginfo( 'description', 'display' );
			            if (display_header_text()==true):
			            if ( $hotel_melbourne_lite_description || is_customize_preview() ) : ?>
			              <h1 class="site-title"><?php bloginfo( 'name' ); ?></h1>
			              <p class="site-description"><?php echo $hotel_melbourne_lite_description; /* WPCS: xss ok. */ ?></p>
			            <?php 
			        	endif;
			        	endif; ?>
					</a>
				</div>
				<?php	
				wp_nav_menu( array(  
					'theme_location' => 'primary',
					'container'  => 'navbar-collapse collapse',
					'menu_class' => 'nav navbar-nav navbar-right',
					'fallback_cb' => 'hotel_melbourne_lite_fallback_page_menu',
					'walker' => new Hotel_Melbourne_Lite_Nav_Walker()
				)
			);	?>

		</div>
	</div>
	<!--/Logo & Menu Section-->	
	<div class="mobileshow">
		<div class="container">
			<div class="row">
				<div class="col-xs-8">
					<a class="navbarbrandlogo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
						<?php
			            if(has_custom_logo()):
			              the_custom_logo();
			            endif; ?>

			            <?php
			            $hotel_melbourne_lite_description = get_bloginfo( 'description', 'display' );
			            if ( $hotel_melbourne_lite_description || is_customize_preview() ) : ?>
			              <h1 class="site-title"><?php bloginfo( 'name' ); ?></h1>
			              <p class="site-description"><?php echo $hotel_melbourne_lite_description; /* WPCS: xss ok. */ ?></p>
			            <?php endif; ?>
					</a>
				</div>
				<div class="col-xs-4">
					<div class="sidebarmenu">
						
						<div class="sidebar-menu">
							<a href='javascript:void(0)' onclick="openNav()"><i class="fa fa-bars" aria-hidden="true"></i></a> 
						</div>

						<div id="mySidenav" class="sidenav"> <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">&times; </a>
							<div id='sidebarmenuleft'>
								<?php wp_nav_menu( array( 'theme_location' => 'primary' ) ); ?>
							</div>
						</div>

					</div>
				</div>
			</div>

		</div>
	</div>
	<div class=”clearfix”></div> 