<?php

if( !function_exists('hotel_melbourne_lite_breadcrumbs') ):
	function hotel_melbourne_lite_breadcrumbs() { 
			
		global $post;
		$homeLink = home_url();
	?>

		<div class="page-title-section" style="background-image:url(<?php if(has_header_image()):echo esc_url(get_header_image());endif;?>)">
			 <div class="page-title-inner">
				<div class="container">
					<div class="row">
						<div class="col-md-6 page-header-title">
							<?php if (is_home() || is_front_page()) :?>
							<div class="col-md-6 page-header-title">
								<h1 class="wow fadeInLeft" data-wow-duration="2s">
									<?php esc_html_e('Home','hotel-melbourne-lite');?>	
								</h1>
							</div>
							<?php else: hotel_melbourne_lite_archive_title();endif;?>
						</div>
						<div class=" col-md-6 page-breadcrumbs">
									
							<ol class="top-breadcrumb breadcrumbs wow fadeInRight" data-wow-duration="2s">
								<?php
								 if (is_home() || is_front_page()) :?>
								    <li><a href="<?php echo esc_url($homeLink);?>"><?php esc_html_e('Home','hotel-melbourne-lite');?></a></li>
									<li class="active">
										<a href="<?php echo esc_url($homeLink);?>"><?php echo esc_html(get_bloginfo( 'name' ));?>></a>
									</li>
								<?php
								 else:?>
									<li><a href="<?php echo esc_url($homeLink);?>"><?php esc_html_e('Home','hotel-melbourne-lite');?></a></li>
									<?php
									// Blog Category
									if ( is_category() ) { ?>
										<li class="active"><a href="<?php echo esc_url($homeLink);?>"> <?php esc_html_e('Archive category','hotel-melbourne-lite').' "' . single_cat_title('', false);?></a></li>
									<?php		
									// Blog Day
									} elseif ( is_day() ) {?>
										<li class="active"><a href="<?php echo esc_url(get_year_link(get_the_time('Y')));?>"><?php echo esc_html(get_the_time('Y'))?> </a>
										<li class="active"><a href="<?php echo esc_url(get_month_link(get_the_time('Y'),get_the_time('m')));?>"><?php echo esc_html(get_the_time('F'));?></a>
										<li class="active"><a href="<?php echo esc_url($homeLink);?>"> <?php echo esc_html(get_the_time('d'));?></a></li>
									<?php
									// Blog Month
									} elseif ( is_month() ) {?>
										<li class="active"><a href="<?php echo esc_url(get_year_link(get_the_time('Y')));?>"><?php echo esc_html(get_the_time('Y'));?></a>
										<li class="active"><a href="<?php echo hotel_melbourne_lite_curPageURL();?>"><?php echo esc_html(get_the_time('F'));?></a></li>
									<?php		
									// Blog Year
									} elseif ( is_year() ) {?>
										<li class="active"><a href="<?php echo esc_url($homeLink);?>"><?php echo esc_html(get_the_time('Y'));?></a></li>
									<?php
							
									} 
									
									elseif ( is_page() && $post->post_parent ) {
										$parent_id  = $post->post_parent;
										$breadcrumbs = array();
										while ($parent_id) {
											$page = get_page($parent_id);
											$breadcrumbs[] = '<li class="active"><a href="' . esc_url(get_permalink($page->ID)) . '">' . esc_html(get_the_title($page->ID)) . '</a>';
											$parent_id  = $page->post_parent;
										}
										$breadcrumbs = array_reverse($breadcrumbs);
										foreach ($breadcrumbs as $crumb) echo $crumb;
										?>
										<li class="active"><a href="<?php echo esc_url($homeLink);?>"><?php echo esc_html(get_the_title())?></a></li>
									<?php	
									}

									elseif( is_search() ){?>
										<li class="active"><a href="<?php echo esc_url($homeLink);?>"><?php echo esc_html(get_search_query());?></a></li>
									<?php	
									}
									elseif( is_404() ){?>
										<li class="active"><a href="<?php echo esc_url($homeLink);?>"><?php esc_html_e('404 Error','hotel-melbourne-lite');?></a></li>
									<?php
									}
									else { 
									?>
										<li class="active"><a href="<?php echo esc_url($homeLink);?>"><?php echo esc_html(get_the_title());?> </a></li>
									<?php		
									}
								endif;
								?>
							</ol>
							
						</div>
					</div>
				</div>
			</div>
		</div>
		<div class="page-seperate"></div>
		<div class="clearfix"></div>
	<?php }
endif
?>