<?php
/*
***** Hotel Melbourne Template Tags
	* Add Class Gravtar
*/
if(! function_exists('hotel_melbourne_lite_gravatar_class')) :
	add_filter('get_avatar','hotel_melbourne_lite_gravatar_class');
	function hotel_melbourne_lite_gravatar_class($class) {
    $class = str_replace("class='avatar", "class='comment_img", $class);
    return $class;
	}
 endif;
 
 /*
 * Businesso Archive Title
 */
 if ( ! function_exists( 'hotel_melbourne_lite_archive_title' ) ) :
function hotel_melbourne_lite_archive_title() {
	if( is_archive() )
	{
	
	if ( is_category() ) {
		/* translators: %s: Category Title */
		$title = sprintf( __( 'Category Archives: %s', 'hotel-melbourne-lite' ), '<span>' . single_cat_title( '', false ) . '</span>' );
	} elseif ( is_tag() ) {
		/* translators: %s: Tag Title */
		$title = sprintf( __( 'Tag Archives: %s', 'hotel-melbourne-lite' ), '<span>' . single_tag_title( '', false ) . '</span>' ); 
	} elseif ( is_author() ) {
		/* translators: %s: Author Name */
		$title = sprintf( __( 'Author Archives: %s', 'hotel-melbourne-lite' ), '<a href="' . esc_url( get_author_posts_url( get_the_author_meta( "ID" ) ) ) . '" title="' . esc_attr( get_the_author() ) . '" rel="me">' . get_the_author() . '</a>' ); 
	} elseif ( is_year() ) {
		/* translators: %s: Year */
		$title = sprintf( __( 'Yearly Archives: %s', 'hotel-melbourne-lite' ), get_the_date( _x( 'Y', 'yearly archives date format', 'hotel-melbourne-lite' ) ) );
	} elseif ( is_month() ) {
		/* translators: %s: Month */
		$title = sprintf( __( 'Monthly Archives: %s', 'hotel-melbourne-lite' ), get_the_date( _x( 'F Y', 'monthly archives date format', 'hotel-melbourne-lite' ) ) );
	} elseif ( is_day() ) {
		/* translators: %s: Daily */
		$title = sprintf( __( 'Daily Archives: %s', 'hotel-melbourne-lite' ), get_the_date( _x( 'F j, Y', 'daily archives date format', 'hotel-melbourne-lite' ) ) );
	}  elseif ( is_post_type_archive() ) {
		/* translators: %s: Archive Name */
		$title = sprintf( __( 'Archives: %s', 'hotel-melbourne-lite' ), post_type_archive_title( '', false ) );
	}
	} elseif( is_search() )
	{
		/* translators: %s: search text */
		$title = sprintf( __( 'Search Results for : %s', 'hotel-melbourne-lite' ), get_search_query() );
	}
	elseif( is_404() )
	{
		/* translators: %s: 404 page text */
		$title = sprintf( __( 'Error 404  : Page Not Found', 'hotel-melbourne-lite' ) );
	}
	else
	{
		echo '<h1 class="pagetitle white animate" data-anim-type="fadeInLeft">'.esc_html(get_the_title()).'</h1>';
	}	
	/**
	 * Filter the archive title.
	 *
	 * @param string $title Archive title to be displayed.
	 */

	if ( ! empty( $title ) ) {
		echo '<h1 class="pagetitle white wow fadeInLeft" data-wow-duration="2s">' . esc_html($title) . '</h1>';
	}
}
endif;


// Site Footer Function
// Contains the closing of the #content div and all content after
function hotel_melbourne_lite_wp_footer () { ?>
</div> <!-- /Close of content -->
<footer class="footer" id="footer-1">
	<div class="overlay links-social">
		<div class="container container-class">

			<div class="links-social-inner">
				<div class="row">						
					<div class="link-groups">
						<?php
						if ( is_active_sidebar( 'footer-widget-area' ) ):
							dynamic_sidebar( 'footer-widget-area' );
						endif;?>
					</div>
				</div>
			</div>
		</div>
	</div>
</footer>

 <div class="copyright"> 
   <div class="footer-bottom container">
		<div class="row">
			<?php if ( is_active_sidebar( 'footer-newsletter-widget-area' ) ):?>
			<div class="col-lg-7 col-md-6 col-sm-6 col-xs-12">
				<?php dynamic_sidebar( 'footer-newsletter-widget-area' );?>
			</div>
		<?php endif;?>
		<?php if ( is_active_sidebar( 'footer-connect-social-widget-area' ) ):?>
			<div class="col-lg-5 col-md-6 col-sm-6 col-xs-12">
				<aside class="widget widget_social">
					<?php dynamic_sidebar( 'footer-connect-social-widget-area' );?>
				</aside>
			</div>
		<?php endif;?>
		</div>
	</div>
	
   <p class="copyright wow fadeInUp" data-wow-duration="2s">
   	<?php 
   		/* translators: 1: Current Date, 2: Theme name, 3: Theme author. */
        printf( esc_html__( 'Copyright %1$s %2$s. All Rights Reserved. Powered by %3$s', 'hotel-melbourne-lite' ), esc_html(date('Y')), esc_html(get_bloginfo('name')), '<a href="https://asiathemes.com/">'.esc_html__('asiathemes','hotel-melbourne-lite').'</a>' );
                     			?>
    </p>
 </div>
<!--/Scroll To Top-->
<?php
} // end of hotel_melbourne_lite_wp_footer

if ( ! function_exists( 'hotel_melbourne_lite_content_nav' ) ) :
/**
 * Display navigation to next/previous pages when applicable
 */
function hotel_melbourne_lite_content_nav( $nav_id ) {
	global $wp_query, $post;

	// Don't print empty markup on single pages if there's nowhere to navigate.
	if ( is_single() ) {
		$previous = ( is_attachment() ) ? get_post( $post->post_parent ) : get_adjacent_post( false, '', true );
		$next = get_adjacent_post( false, '', false );

		if ( ! $next && ! $previous )
			return;
	}

	// Don't print empty markup in archives if there's only one page.
	if ( $wp_query->max_num_pages < 2 && ( is_home() || is_archive() || is_search() ) )
		return;

	$nav_class = ( is_single() ) ? 'post-navigation' : 'paging-navigation';
	?>
	<nav role="navigation" id="<?php echo esc_attr( $nav_id ); ?>" class="<?php echo esc_attr($nav_class); ?>">
		<h1 class="screen-reader-text"><?php esc_html_e( 'Post navigation', 'hotel-melbourne-lite' ); ?></h1>

	<?php if ( is_single() ) : // navigation links for single posts ?>

		<?php previous_post_link( '<div class="nav-previous">%link</div>', '<span class="meta-nav">' . _x( '&larr;', 'Previous post link', 'hotel-melbourne-lite' ) . '</span> %title' ); ?>
		<?php next_post_link( '<div class="nav-next">%link</div>', '%title <span class="meta-nav">' . _x( '&rarr;', 'Next post link', 'hotel-melbourne-lite' ) . '</span>' ); ?>

	<?php elseif ( $wp_query->max_num_pages > 1 && ( is_home() || is_archive() || is_search() ) ) : // navigation links for home, archive, and search pages ?>

		<?php if ( get_next_posts_link() ) : ?>
		<div class="nav-previous"><?php next_posts_link( __( '<span class="meta-nav">&larr;</span> Older posts', 'hotel-melbourne-lite' ) ); ?></div>
		<?php endif; ?>

		<?php if ( get_previous_posts_link() ) : ?>
		<div class="nav-next"><?php previous_posts_link( __( 'Newer posts <span class="meta-nav">&rarr;</span>', 'hotel-melbourne-lite' ) ); ?></div>
		<?php endif; ?>

	<?php endif; ?>
		<div class="clear"></div>
	</nav><!-- #<?php echo esc_html( $nav_id ); ?> -->
	<?php
}
endif; 

	// code to change length of service two column excerpt
function hotel_melbourne_lite_get_slider_excerpt(){
	global $post;
	$excerpt = get_the_content();
	$excerpt = preg_replace(" (\[.*?\])",'',$excerpt);
	$excerpt = strip_shortcodes($excerpt);
	$excerpt = strip_tags($excerpt);
	$original_len = strlen($excerpt);
	$excerpt = substr($excerpt, 0, 100);
	$excerpt = substr($excerpt, 0, strripos($excerpt, " "));
	$excerpt = trim(preg_replace( '/\s+/', ' ', $excerpt));
	$len=strlen($excerpt);
	 return $excerpt;
}

// Remove issues with prefetching adding extra views
// remove_action( 'wp_head', 'adjacent_posts_rel_link_wp_head', 10, 0);

if ( ! function_exists( 'hotel_melbourne_lite_author_detail' ) ) :
function hotel_melbourne_lite_author_detail() { ?>
	<article class="blog-author" data-aos="fade-up"  data-aos-duration="1500">
		<div class="media ">
			<div class="pull-left">
				<?php echo get_avatar( get_the_author_meta( 'user_email' ),'class="img-responsive img-circle"' ); ?>
			</div>
				<div class="media-body">
					<h6><?php the_author_link(); ?></h6>
						<p>
							<?php echo esc_html(get_the_author_meta( 'description' ));
							if(!get_the_author_meta('description')) 
								esc_html_e('No description.Please update your profile.','hotel-melbourne-lite'); 
							?>
						</p>
				</div>
		</div>	
	</article>
<?php 
} endif;
?>